pro reamap,infile
; read dop.out into common block
common mapdata,nph,nvp,nv,w0,gamma,pha,vp,dm,ih,iw,pb0,pb1,ns,ac,al,clim,norm,wid,af,$
  va,im,dmr,dpx,abs,atm,cfi
common mapdat1,dpha,iph

  get_lun,lun
  openr,lun,infile         ; open dopmap file
  readf,lun,nph,nvp,nv,w0
  cfi=''
  readf,lun,cfi
  reads,cfi,gamma,abs,atm
  cfi=strcompress(cfi)
  cfi=str_sep(cfi,' ')
  cfi=cfi(4)
  pha=fltarr(nph)
  dpha=fltarr(nph)
  vp=fltarr(nvp)
  readf,lun,pha
  readf,lun,iph
  if iph eq 1 then readf,lun,dpha
  pha=pha/2/!pi     ; from radians to orbits
  ; fold between 0 and 1
  pha=pha mod 1
  ind =where(pha lt 0)
  if ind(0) ne -1 then pha(ind)=pha(ind)+1
  dpha=dpha/2/!pi     ; from radians to orbits
  readf,lun,vp
  dvp=vp(1)-vp(0)
  vp=vp-dvp/2  ;correction from left boundary to center of bin
  dm=fltarr(nph,nvp)
  readf,lun,dm                       ; read spectrum
  readf,lun,ih,iw,pb0,pb1,ns,ac,al,clim,norm,wid,af
  readf,lun,nv,va
  im=fltarr(nv,nv)
  readf,lun,im                       ; read image
  readf,lun,ndum
  dmr=fltarr(nph,nvp)
  readf,lun,dmr
  readf,lun,ndum
  dpx=fltarr(nv,nv,4)
  readf,lun,dpx
  close,lun
  free_lun,lun
  print,infile,' read'
return
end